%define pkgname Net-Ident

%define _provides_exceptions perl(FileHandle)

Summary:	Net::Ident - lookup the username on the remote end of a TCP/IP connection
Name:		perl-%{pkgname}
Version:	1.20
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Net::Ident is a module that looks up the username on the remote
side of a TCP/IP connection through the ident (auth/tap) protocol
described in RFC1413 (which supersedes RFC931). Note that this
requires the remote site to run a daemon (often called identd) to
provide the requested information, so it is not always available
for all TCP/IP connections.

%prep

%setup -q -n %{pkgname}-%{version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

yes "" | %{__perl} Makefile.PL INSTALLDIRS=vendor

%make

# tests are borked...
#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Net/Ident.pm
%{_mandir}/*/*




%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.20-5mdv2009.1
+ Revision: 351818
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.20-4mdv2009.0
+ Revision: 223852
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.20-3mdv2008.1
+ Revision: 180517
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.20-2mdv2008.0
+ Revision: 67486
- buildrequires obsoletes buildprereq


* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.20-2mdv2007.0
+ Revision: 85610
- use the mkrel macro
- Import perl-Net-Ident

* Fri Sep 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.20-1mdk
- initial Mandriva package

